PDA

View Full Version : Ununsable 64-bit Net-SNMP subagent code built on SLES 11 SP3



icope
26-Feb-2015, 12:29
Hi,

recently we have discovered a :mad: problem with a 64 bit implementation of an SNMP subagent compiled on SLES 11 SP3. The code is not able register its MIB subtree with the master agent.

This appears to be a problem that was fixed in Net-SNMP 5.6. The fix (in snmplib) is mentioned in http://www.net-snmp.org/docs/CHANGES.html and is called "Change oid to be a 32-bit type on ILP64 and LP64 platforms.".

SLES 11 SP3 still uses Net-SNMP 5.4.x that is (understandable) not upgradeable to a more recent version other than building Net-SNMP from scratch. This is an option we want to avoid because we recommend SLES 11 SP3 to our customers as the Linux platform of choice. We definitely can not expect a customer to build Net-SNMP from scratch.

So Net-SNMP subagent development of 64 bit code appears to be impossible on SLES 11 SP3. The question is if there's something that can be done to alleviate this or if there are any plans to change that for the remaining lifetime of SLES 11 SP3 (or SP4 or ...).

Thanks and best regards,
- Michael Kwasigroch, Intercope GmbH, Hamburg, Germany

jmozdzen
26-Feb-2015, 13:09
Hi Michael,

> The question is if there's something that can be done to alleviate this

SUSE will back-port important fixes to the distributed versions, so your best choice is to open a service request and have them check if this fix was already incorporated (I doubt it, since you couldn't register your agent) or if they will do so with a future patch.

Regards
Jens

icope
26-Feb-2015, 16:10
Hi Michael,

> The question is if there's something that can be done to alleviate this

SUSE will back-port important fixes to the distributed versions, so your best choice is to open a service request and have them check if this fix was already incorporated (I doubt it, since you couldn't register your agent) or if they will do so with a future patch.

Regards
Jens

Thanks Jens, but we went through this before: we're an ISV and ISV's can't open a SR with Novell. Only customers are allowed to do that...:(

Does anybody know which version of net-snmp is included with SLES 12?

Regards,
- Michael

jmozdzen
26-Feb-2015, 16:28
Hi Michael,

Thanks Jens, but we went through this before: we're an ISV and ISV's can't open a SR with Novell. Only customers are allowed to do that...:(

so... buy a license with support, then you're a paying customer ;)

(I know that situation very well - in 99% of the cases, we're skilled enough to be way ahead of any 1st & 2nd level support agent... but then, there are those rare cases where someone with in-depth knowledge of a specific piece of software is needed...)

Regards,
Jens

smflood
03-Mar-2015, 11:36
On 26/02/2015 15:14, icope wrote:

> Does anybody know which version of net-snmp is included with SLES 12?

SLES12 ships with net-snmp version 5.7.2.1 (specifically 5.7.2.1-3.8).

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------